#ifndef _BALL3D_HEADER
#define _BALL3D_HEADER

#include "3dobj.h"
#include <windows.h>

class Ball3D
{
    private:
            int minX, maxX;
            int minY, maxY;
            int minZ, maxZ;
            int xSpd, ySpd, zSpd;
            int xSpdRng, ySpdRng, zSpdRng;
            int rotX, rotY, rotZ;

            // 3D object parameters
            Display3DParams ballParams;
            Obj3D           object3D;

    public:
                         // define public prototypes for class
                Ball3D (); // constructor for ball when allocated
           void Init (int xSR, int ySR, int zSR,
                      int miX, int maX,
                      int miY, int maY,
                      int miZ, int maZ,
                      int xr,  int yr, int zr,
                      int xOrigin, int yOrigin);

           // return 0  if successful,
           //        -1 if an error occured.
           int Load3DData (char* pFileName);

           long GetZDistance (void)
           {
                return ballParams.tz;
           }
           void Show (HDC hdc);
           RectUD* GetUpdateRegion (void);
           void Hide ();
           void Move ();
           virtual ~Ball3D ();// destrustor
};
#endif // _BALL3D_HEADER