#include <stdio.h>
#include <stdlib.h>


int main (int argc, char* argv[])
{
    FILE* pInFile;

    if (argc < 3)
    {
        printf ("Usage : %s filetoconvert accuracy > outputfile\n", argv[0]);
        printf ("E.G. convert circle.txt 10\n");
        return -1;
    }

    if ((pInFile = fopen (argv[1], "rt")) == NULL)
    {
        printf ("Couldn't open file %s\n", argv[0]);
        return -1;;
    }

    int verticeNum;
    long polygonNum;
    int shift = atoi (argv[2]);
    char  buffer[1 << 10];

    while (!feof (pInFile))
    {
        if (fscanf (pInFile, "%s", buffer) > 0)  // Read header
        {
            // Read number of vertices.
            if (fscanf (pInFile, "%s", buffer) <= 0)
               goto EXITOUT;

            verticeNum = atoi (buffer);                // convert number from string to integer
            printf ("%s, * Vertice number\n", buffer); // Print out the number of vertices

            for (int vertNum = 0; vertNum < verticeNum; vertNum++)
            {
                for (int pntNum = 0; pntNum < 3; pntNum++)
                {
                    float temp;

                    if (fscanf (pInFile, "%s", buffer) <= 0)
                       goto EXITOUT;

                    temp = atof (buffer);
                    // Shift decimal point right 1 place
                    printf ("%d, ", (int) (temp * shift));

                }
                printf ("\n");
            }

            polygonNum = 0L;
            printf ("* Polygons\n");
            printf ("**** Start Of Polygons ****\n");
            for(;;)
            {
                if (fscanf (pInFile, "%s", buffer) <= 0)
                   goto EXITOUT;

                int pntNum = (atoi (buffer))+1;  // convert number from string to integer
                printf ("%s, ", buffer);         // Print out the number of vertices int polygon

                for (int r = 0; r < pntNum; r++)
                {
                    if (fscanf (pInFile, "%s", buffer) <= 0)
                       goto EXITOUT;

                    printf ("%s, ", buffer);     // vertice index                }

                }
                printf ("\n");
                polygonNum++;
            }

        }
    }

    EXITOUT:
    printf ("\n%ld, * Place this value before polygon comment\n", polygonNum);
    printf ("1, * Convex Polygon");
    fclose (pInFile);
    return 0;

}