// main routine to handle 3D object ball
#include <graphics.h>
#include <conio.h>
#include <stdlib.h>
#include <time.h>
#include "ball3d.h"


int main (int argc, char* argv[])
{
    // Read arguments from command line. If wrong number,
    // print message and abort:
    if (argc != 3)
    {
        printf ("Wrong number of arguments.\n");
        printf ("Usage: %s Object.Txt NumOfObjects", argv[0]);
        return -1;
    }

    if (atoi (argv[2]) <= 0)
    {
        printf ("Parameter %s must be above 0", argv[2]);
        return -1;
    }

    // ************* Setup Graphics *****************
    int graphMode = DETECT;
    int setGMode;

    initgraph(&graphMode,&setGMode,"c:\\c\\bgi");
    // **********************************************

    // ************************** Ball processing **********************
    int       num = atoi(argv[2]);
    int       count;
    Ball3D*   pMyBall = new Ball3D[num];
    if (pMyBall == NULL)
    {
        closegraph();
        printf ("Out of memory !");
        return -1;
    }

    randomize();
    for (count = 0; count < num; count++)
    {
        if (pMyBall[count].Load3DData (argv[1]))
        {
            closegraph();
            return -1;
        }

        pMyBall[count].Init (5,  -80,80,  -50,50,  400, 800,
                             random (10)+1, random(10)+1, random(10)+1,
                             getmaxx()/2, getmaxy()/2);
    }

    // Process ...
    while (!kbhit())
    {
        for (count = 0; count < num; count++)
            pMyBall[count].Move();

        cleardevice();
    }

    // Free memory
    delete pMyBall;

    closegraph();
    return 0;
}